const { Schema, model } = require('mongoose')

const streams = new Schema({
  name: {
    type: String,
    required: true,
  },
  event: {
    type: Schema.Types.ObjectId,
    ref: 'Event',
  },
  matches: [{
    type: Schema.Types.ObjectId,
    ref: 'Matches',
  }],
  casters: [{
    type: Schema.Types.ObjectId,
    ref: 'Casters',
  }],
  hosts: [{
    type: Schema.Types.ObjectId,
    ref: 'Hosts',
  }],
})

const Stream = model('Streams', streams)

module.exports = Stream